Create or update an array of pricelists

put

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricelists

Creates or updates the supplied array of pricelists in a single request.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: array
Minimum Number of Items: 1
Maximum Number of Items: 50
The price lists resource.
Show Source
  • PricelistOracle
    Title: PricelistOracle
    A list of offers and its coresponding prices which can be used for selling the offer in a region or a particular set of customers.
Nested Schema : PricelistOracle
Type: object
Title: PricelistOracle
A list of offers and its coresponding prices which can be used for selling the offer in a region or a particular set of customers.
Show Source
Nested Schema : BalanceElementRef
Type: object
Title: BalanceElementRef
The balance element ref in price.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the pricelist create.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source
Back to Top

Response

Supported Media Types

200 Response

The list of pricelists was created or updated successfully.
Body ()
Root Schema : schema
Type: array
Show Source
  • PricelistOracle
    Title: PricelistOracle
    A list of offers and its coresponding prices which can be used for selling the offer in a region or a particular set of customers.
Nested Schema : PricelistOracle
Type: object
Title: PricelistOracle
A list of offers and its coresponding prices which can be used for selling the offer in a region or a particular set of customers.
Show Source
Nested Schema : BalanceElementRef
Type: object
Title: BalanceElementRef
The balance element ref in price.
Show Source
Nested Schema : productOffering
Type: array
A list of product offerings associated with the pricelist.
Show Source
  • ProductOfferingRef
    Title: ProductOfferingRef
    Discriminator: { "propertyName":"@type", "mapping":{ "ProductOfferingRef":"#/components/schemas/ProductOfferingRef", "BundledProductOffering":"#/components/schemas/BundledProductOffering", "BundledProductOfferingChoiceOracle":"#/components/schemas/BundledProductOfferingChoiceOracle", "BundledProductOfferingOracle":"#/components/schemas/BundledProductOfferingOracle" } }
    The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : promotion
Type: array
A list of promotions associated with the pricelist.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the pricelist.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : ProductOfferingRef
Type: object
Title: ProductOfferingRef
Discriminator: @type

Discriminator Values

The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
Show Source
Nested Schema : PromotionRef
Type: object
Title: PromotionRef
The promotion reference.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to create or update pricelists by submitting a put request on the REST resource using cURL.

cURL Command

curl -u username:password -X PUT https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricelists

Example of Request Body

The following shows an example of the request body in JSON format.

[
    {
        "name": "PriceList_Y2021_001",
        "id": "PriceList_Y2021_001",
        "@type": "PricelistOracle",
        "@baseType": "PricelistOracle",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/pricelist/TestPrice90",
        "lifecycleStatus": "In design",
        "businessUnitId": 204,
        "validFor": {
            "startDateTime": "2020-05-02T16:42:23.0Z",
            "endDateTime": "2021-07-14T00:00:00.0Z"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project"
        },
        "relatedParty": [
            {
                "id": "12343",
                "name": "Gustave Flaubert laptop",
                "href": "https://mycsp.com:8080/tmf-api/partyManagement/v4/partyRole/1234",
                "role": "Owner"
            }
        ],
        "description": "TestPrice890 description",
        "currency": "USD",
        "version": "1.0"
    },
    {
        "name": "PriceList_2021_002",
        "id": "PriceList_2021_002",
        "@type": "PricelistOracle",
        "@baseType": "PricelistOracle",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/pricelist/TestPrice90",
        "lifecycleStatus": "In design",
        "validFor": {
            "startDateTime": "2020-05-02T16:42:23.0Z",
            "endDateTime": "2021-07-14T00:00:00.0Z"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project"
        },
        "relatedParty": [
            {
                "id": "12343",
                "name": "Gustave Flaubert laptop",
                "href": "https://mycsp.com:8080/tmf-api/partyManagement/v4/partyRole/1234",
                "role": "Owner"
            }
        ],
        "description": "TestPrice890 description",
        "currency": "USD",
        "version": "1.0"
    },
    {
        "@type": "PricelistOracle",
        "lifecycleStatus": "In design",
        "validFor": {
            "endDateTime": "2021-11-27T18:30:00.000Z",
            "startDateTime": "2020-11-11T18:30:00.000Z"
        },
        "balanceElement": {
            "id": "USACurrency",
            "name": "USACurrency",
            "version": "1.0",
            "@referredType": "BalanceElementOracle",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/USACurrency"
        },
        "description": "Pricelist for US",
        "version": "1.0",
        "name": "PriceList_2021_003",
        "id": "PriceList_2021_003"
    }
]

Example of Response Body

The following shows an example of the response body in JSON format.

[
    {
        "@type": "PricelistOracle",
        "@baseType": "PricelistOracle",
        "relatedParty": [
            {
                "id": "12343",
                "name": "Gustave Flaubert laptop",
                "href": "https://mycsp.com:8080/tmf-api/partyManagement/v4/partyRole/1234",
                "role": "Owner"
            }
        ],
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricelists/PriceList_Y2021_001",
        "lifecycleStatus": "In design",
        "businessUnitId": 204,
        "businessUnitName": "Vision Operations",
        "validFor": {
            "startDateTime": "2020-05-02T16:42:23.0Z",
            "endDateTime": "2021-07-14T00:00:00.0Z"
        },
        "balanceElement": {
            "id": "USACurrency",
            "name": "USA Currency",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/USACurrency",
            "@referredType": "BalanceElementOracle"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/project/BulkDocProject"
        },
        "description": "TestPrice890 description",
        "currency": "USD",
        "version": "1.0",
        "name": "PriceList_Y2021_001",
        "id": "PriceList_Y2021_001"
    },
    {
        "@type": "PricelistOracle",
        "@baseType": "PricelistOracle",
        "relatedParty": [
            {
                "id": "12343",
                "name": "Gustave Flaubert laptop",
                "href": "https://mycsp.com:8080/tmf-api/partyManagement/v4/partyRole/1234",
                "role": "Owner"
            }
        ],
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricelists/PriceList_2021_002",
        "lifecycleStatus": "In design",
        "validFor": {
            "startDateTime": "2020-05-02T16:42:23.0Z",
            "endDateTime": "2021-07-14T00:00:00.0Z"
        },
        "balanceElement": {
            "id": "USACurrency",
            "name": "USA Currency",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/USACurrency",
            "@referredType": "BalanceElementOracle"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/project/BulkDocProject"
        },
        "description": "TestPrice890 description",
        "currency": "USD",
        "version": "1.0",
        "name": "PriceList_2021_002",
        "id": "PriceList_2021_002"
    },
    {
        "@type": "PricelistOracle",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricelists/PriceList_2021_003",
        "lifecycleStatus": "In design",
        "validFor": {
            "startDateTime": "2020-11-11T18:30:00.000Z",
            "endDateTime": "2021-11-27T18:30:00.000Z"
        },
        "balanceElement": {
            "id": "USACurrency",
            "name": "USACurrency",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/USACurrency",
            "version": "1.0",
            "@referredType": "BalanceElementOracle"
        },
        "description": "Pricelist for US",
        "currency": "USD",
        "version": "1.0",
        "name": "PriceList_2021_003",
        "id": "PriceList_2021_003"
    }
]
Back to Top